#### PyKDE - Python Bindings for KDE

# class KDateValidator |
Table of contents
Modules
tdeui Classes
All Classes

Module | tdeui
Class | KDateValidator
Inherits | TQValidator

### methods

- KDateValidator (parent = 0, name = 0)

  returns a KDateValidator instance
  Argument | Type | Default
  --- | --- | ---
  parent | TQWidget | 0
  name | char | 0

- date (a0, a1)

  returns (State)
  Argument | Type | Default
  --- | --- | ---
  a0 | TQString |
  a1 | TQDate |

- fixup (input)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  input | TQString |

- validate (a0)

  returns (State) a1 (int)
  Argument | Type | Default
  --- | --- | ---
  a0 | TQString |